{% extends 'base.html.twig' %}

{% block title %}Hello!{% endblock %}

{% block body %}

    <main>
        <div class="container">
            <div>
                <h3>Folgende Benachichtigungen sind gerade verfügbar:</h3>
            </div>
            <div>
                <table class="table table-borderless table-striped table-sm">
                    <thead>
                    <tr>
                        <th scope="col">Tag</th>
                        <th scope="col">Überschrift</th>
                        <th scope="col">Inhalt</th>
                        <th scope="col">Zeige im Lehrerbereich an</th>
                        <th scope="col">Zeige im Schülerbereich an</th>
                        <th scope="col">Aktion</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for notification in notifications %}
                    <tr>
                        <td>{{notification.date}}</td>
                        <td>{{notification.header}}</td>
                        <td>{{notification.content}}</td>
                        <td>{{notification.showTeacherArea}}</td>
                        <td>{{notification.showStudentArea}}</td>
                        <td>
                            <a href="{{ path('app_notificationadmin_notificationsedit', {id: notification.id}) }}" class="btn btn-success btn-sm" role="button">Bearbeiten</a>
                            <a href="{{ path('app_notificationadmin_notificationsdelete', {id: notification.id}) }}" class="btn btn-danger btn-sm" role="button">Löschen</a>
                        </td>
                    </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
            <div>
                <a href="{{ path('app_notificationadmin_notificationsadd') }}" class="btn btn-outline-primary btn-lg" role="button">Daten einfügen</a>
            </div>
        </div>
    </main>

{% endblock %}
